[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.GuiHandle

Handle of GUI loop main application window handle

## Declaration

Source position: daemonapp.pp line 404

`public property TCustomDaemonApplication.GuiHandle : THandle read FGUIHandle write FGUIHandle;`

## Description

GuiHandle is the handle of a GUI window which can be used to run a message handling loop on. It is created when no GUIMainLoop procedure exists, and the application creates and runs a message loop by itself.

## See also

GUIMainLoop |  | GUI main loop callback